from cmk.gui.i18n import _
from cmk.gui.plugins.metrics import metric_info, perfometer_info
from cmk.gui.plugins.metrics.utils import check_metrics, m

metric_info["Latency"] = {
    "title": _("Latency"),
    "unit": "s",
    "color": "26/a",
}

metric_info["PacketLoss"] = {
    "title": _("PacketLoss"),
    "unit": "%",
    "color": "12/a",
}

metric_info["Jitter"] = {
    "title": _("Jitter"),
    "unit": "s",
    "color": "13/a",
}

check_metrics["check_mk-fortigate_sla"] = {
    "Latency": {"scale": m},
    "Jitter": {"scale": m},
}

perfometer_info.append(
    (
        "dual",
        [
            {
                "type": "linear",
                "segments": [
                    "Latency",
                    "Jitter",
                ],
                "total": 0.2,
            },
            {
                "type": "linear",
                "segments": [
                    "PacketLoss",
                ],
                "total": 100,
            },
        ],
    )
)
