from cmk.gui.i18n import _
from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithItem,
    RulespecGroupCheckParametersOperatingSystem,
    rulespec_registry,
)
from cmk.gui.valuespec import Dictionary, Integer, TextAscii


def _item_valuespec_sla():
    return TextAscii(title=_("Fortigate Latency, PacketLoss, Jitter"))


def _parameter_valuespec_sla():
    return Dictionary(
        elements=[
            (
                "warning_latency",
                Integer(title=_("Warning -> if latency over (>=) (ms):")),
            ),
            (
                "critical_latency",
                Integer(title=_("Critical -> if latency over (>=) (ms):")),
            ),
            (
                "warning_loss",
                Integer(title=_("Warning loss percentage (>=) [0-100]%:")),
            ),
            (
                "critical_loss",
                Integer(title=_("Critical loss percentage (>=) [0-100]%:")),
            ),
            (
                "warning_jitter",
                Integer(title=_("Warning jitter (>=) (ms):")),
            ),
            (
                "critical_jitter",
                Integer(title=_("Critical jitter (>=) (ms):")),
            ),
        ],
    )


rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name="fortigate_sla",
        group=RulespecGroupCheckParametersOperatingSystem,
        match_type="dict",
        item_spec=_item_valuespec_sla,
        parameter_valuespec=_parameter_valuespec_sla,
        title=lambda: _("Fortigate Latency, PacketLoss, Jitter"),
    )
)
